package com.tzld.piaoquan.api.dao.mapper.wecom.thirdpart;

import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComStaff;
import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComStaffExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ThirdPartWeComStaffMapper {
    long countByExample(ThirdPartWeComStaffExample example);

    int deleteByExample(ThirdPartWeComStaffExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ThirdPartWeComStaff record);

    int insertSelective(ThirdPartWeComStaff record);

    List<ThirdPartWeComStaff> selectByExample(ThirdPartWeComStaffExample example);

    ThirdPartWeComStaff selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ThirdPartWeComStaff record, @Param("example") ThirdPartWeComStaffExample example);

    int updateByExample(@Param("record") ThirdPartWeComStaff record, @Param("example") ThirdPartWeComStaffExample example);

    int updateByPrimaryKeySelective(ThirdPartWeComStaff record);

    int updateByPrimaryKey(ThirdPartWeComStaff record);
}